



(function($){
    const { __ } = wp.i18n;



    jQuery(document).ready(function () {


       const table = jQuery('#nft-marketplace-core-all-collections-table').DataTable({
            ajax: {
                "url": nftMarketplaceCoreAllCollectionsTabData.rest_location + "nft-marketplace-core/fetch-my-collections",
                'beforeSend': function (request) {
                    request.setRequestHeader("X-WP-NONCE", nftMarketplaceCoreAllCollectionsTabData.nonce);
                },
            },
            serverMethod: 'post',
            processing: true,
            serverSide: true,
            columns: [
                { title: 'Image', data: "image",
                    render : function ( data, type, row, meta ) {
                        return `<img src="${data[0]}" width="40" height="40"/>`
                    } },
                { title: 'Name', data: "collection_name" },
                { title: 'Actions', data: "action_data",
                    render : function ( data, type, row, meta ) {

                       // btn.addEventListener('click', myfunction);

                        return `
                            <a href="${data.slug}" class="nft-marketplace-core-mini-button" target="_blank"><span class="dashicons dashicons-welcome-view-site"></span></a>
                            <a href="?manage-collection=${data.id}" class="nft-marketplace-core-mini-button" target="_blank"><span class="dashicons dashicons-edit"></span></a>
                            <a href="#" class="delete-row nft-marketplace-core-mini-button red"><span class="dashicons dashicons-trash"></span></a>
                        `
                    }
                },
            ],
            searching: false,
            ordering: false,

        });

        $('#nft-marketplace-core-all-collections-table tbody').on( 'click', 'a.delete-row', function () {
            if (confirm("Are you sure you want to delete this Collection?") === true) {
                const row = table.row( $(this).parents('tr') );
                console.log(nftMarketplaceCoreAllCollectionsTabData.rest_location + "nft-marketplace-core/delete-collection?id=" + row.data().id)
                fetch(nftMarketplaceCoreAllCollectionsTabData.rest_location + "nft-marketplace-core/delete-collection?id=" + row.data().id, {
                    method: "DELETE",
                    headers: {
                        "X-WP-NONCE" : nftMarketplaceCoreAllCollectionsTabData.nonce
                    },
                    body: JSON.stringify({
                        id: row.data().id
                    })
                }).then((data) => {
                    row.remove().draw();
                    alert("Collection deleted successfully!");
                }).catch(()=> {
                    alert("Could not delete collection!");
                })

            }
        } );

    });

})(jQuery);
