(function($){
    const { __ } = wp.i18n;



    jQuery(document).ready(function () {
        let columns = [
            { title: 'Address', data: "address"},
            { title: 'Type', data: "type" },
            { title: 'Blockchain', data: "blockchain" },
            { title: 'Actions', data: "action_data",
                render : function ( data, type, row, meta ) {
                    let mint ="";
                    const dataForMint = JSON.stringify(data.minting);

                    if(nftMarketplaceCoreAllContractsTabData.can_mint) {
                        mint = `<a href="#" data-nft-marketplace-core-minting='${dataForMint}" id="nft-marketplace-core-minting-button-${data.id}'  target="_blank">Mint</a>`;
                    }

                    return `
                            <a class="nft-marketplace-core-mini-button" href="?manage-contract=${data.id}" target="_blank"><span class="dashicons dashicons-edit"></span></a>
                            ${mint}
                        `
                }
            },
        ];

        if(nftMarketplaceCoreAllContractsTabData.can_mint) {
            columns[4] = columns[3];
            columns[3] = {title: 'Minted NFTs', data: "minted_nfts"};
        }

        const table = jQuery('#nft-marketplace-core-all-contracts-table').DataTable({
            ajax: {
                "url": nftMarketplaceCoreAllContractsTabData.rest_location + "nft-marketplace-core/fetch-my-contracts",
                'beforeSend': function (request) {
                    request.setRequestHeader("X-WP-NONCE", nftMarketplaceCoreAllContractsTabData.nonce);
                },
            },
            serverMethod: 'post',
            processing: true,
            serverSide: true,
            columns: columns,
            searching: false,
            ordering: false,
        });
    });

})(jQuery);
