(function($){
    const { __ } = wp.i18n;
    jQuery(document).ready(function () {
       const table = jQuery('#nft-marketplace-core-all-nfts-table').DataTable({
            ajax: {
                "url": nftMarketplaceCoreAllNftsTabData.rest_location + "nft-marketplace-core/fetch-my-assets",
                'beforeSend': function (request) {
                    request.setRequestHeader("X-WP-NONCE", nftMarketplaceCoreAllNftsTabData.nonce);
                },
            },
            serverMethod: 'post',
            processing: true,
            serverSide: true,
            columns: [
                { title: 'Asset', data: "asset",
                    render : function ( data, type, row, meta ) {
                        return `${data}`
                    } },
                { title: 'Name', data: "name" },
                { title: 'Blockchain', data: "blockchain" },
                { title: 'Minted NFTs', data: "minted_nfts" },
                { title: 'Price', data: "price" },
                { title: 'Actions', data: "slug",
                    render : function ( data, type, row, meta ) {
                        return `
                            <a class="nft-marketplace-core-mini-button" href="${data}" target="_blank"><span class="dashicons dashicons-welcome-view-site"></span></a>
                            <a class="nft-marketplace-core-mini-button" href="${data}?edit-nft=1" target="_blank"><span class="dashicons dashicons-edit"></span></a>
                            <a class="nft-marketplace-core-mini-button red delete-row" href="#"><span class="dashicons dashicons-trash"></span></a>
                        `
                    }
                },
            ],
            searching: false,
            ordering: false,
        });
        $('#nft-marketplace-core-all-nfts-table tbody').on( 'click', 'a.delete-row', function () {
            if (confirm("Are you sure you want to delete this NFT?") === true) {
                const row = table.row( $(this).parents('tr') );
                fetch(nftMarketplaceCoreAllNftsTabData.rest_location + "nft-marketplace-core/delete-nft?id=" + row.data().id, {
                    method: "DELETE",
                    headers: {
                        "X-WP-NONCE" : nftMarketplaceCoreAllNftsTabData.nonce
                    },
                    body: JSON.stringify({
                        id: row.data().id
                    })
                }).then((data) => {
                    row.remove().draw();
                    alert("NFT deleted successfully!");
                }).catch(()=> {
                    alert("Could not delete NFT!");
                })
            }
        } );
    });
})(jQuery);
