<?php
/**
 * NFT_Marketplace_Core
 *
 * @package   NFT_Marketplace_Core
 * @author    ModelTheme <support@modeltheme.com>
 * @copyright Copyright (C) 2012-2022, ModelTheme, support@modeltheme.com
 * @license   GPL v3
 * @link      https://modeltheme.com
 */

namespace NFT_Marketplace_Core\Backend;

use NFT_Marketplace_Core\Engine\Base;
use NFT_Marketplace_Core\Internals\Helpers\Helper;
use NFT_Marketplace_Core\Internals\Helpers\VerifyConfig;
use Yoast_I18n_WordPressOrg_v3;

/**
 * Everything that involves notification on the WordPress dashboard
 */
class Notices extends Base {

	/**
	 * Initialize the class
	 *
	 * @return void|bool
	 */
	public function initialize() {
		if ( !parent::initialize() ) {
			return;
		}

		// WPBPGen{{#if libraries_wpdesk__wp-notice}}
        $transient = get_transient( 'nft_marketplace_core_could_not_create_pages');

        if (is_array($transient) && count($transient) > 0) {
            \wpdesk_wp_notice(\__('Enefti - NFT Marketplace Core: Some pages could not be created, please create them manually. ('.implode(", ",$transient).')', NFT_MARKETPLACE_CORE_TEXTDOMAIN), 'error');
        }

        ob_start();
        include dirname(__FILE__)."/views/welcome-notice.php";
        $myvar = ob_get_clean();

        // Show onboarding message
        if (VerifyConfig::emptyBlockchains() || VerifyConfig::emptyContracts()) {
            \wpdesk_wp_notice($myvar, 'success', true);
        }
        // {{/if}}
    }
}
