<?php

namespace NFT_Marketplace_Core\Backend\ActDeact;


/**
 * NFT Marketplace Core
 *
 * @package   NFT Marketplace Core
 * @author    ModelTheme <support@modeltheme.com>
 * @copyright All rights reserved for ModelTheme
 * @license   GPL-3.0
 * @link      https://modeltheme.com
 */
class FillSettings
{

    public function __construct()
    {
        $this->defaultPages();
        $this->createRole();
    }

    /**
     * Fill the settings with the default page urls.
     * @return void
     * @since 3.0.1
     */
    private static function defaultPages()
    {
        if (get_option("nft_marketplace_core_panel_pages_tab") !== false) {
            return;
        }

        update_option("nft_marketplace_core_panel_pages_tab", [
            "nft_marketplace_core_panel_paths_nft" => "nft",
            'nft_marketplace_core_panel_paths_collection' => 'collection',
            'nft_marketplace_core_panel_paths_categories' => 'category',
            'nft_marketplace_core_panel_pages_digital_page' => 'create-digital-asset',
            'nft_marketplace_core_panel_pages_listings' => 'nft-listings',
            'nft_marketplace_core_panel_pages_dashboard' => 'manage-your-nfts',
            'nft_marketplace_core_panel_pages_connect_your_wallet' => 'connect-your-wallet'
        ]);
    }

    /**
     * Create the NFT Vendor Role.
     * @return void
     */
    public static function createRole()
    {
        if (!is_null(get_role("nft_vendor"))) {
            return;
        }

        // NFT Vendor role.
        add_role(
            'nft_vendor',
            'NFT Vendor',
            array(
                'upload_files' => true,
                'publish_posts' => true,
                'edit_published_posts' => true,
            )
        );

        update_option("default_role", "nft_vendor");
    }
}
