<?php

global $wpdb;

if(!is_numeric($_GET["edit-nft"])) {
    ?>
    <div id="ajax-response">
        <div class="error">
            <p><?php esc_html_e("Could not find the contract that you requested.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
        </div>
    </div>

    <?php
    die();
}

if (isset($_POST["nft_listing_price"])) {
    global $wpdb;
    if (!is_numeric($_POST["nft_listing_price"])) {
        ?>

        <div id="ajax-response">
            <div class="error">
                <p><?php esc_html_e("Please check if you have set the price correctly.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
            </div>
        </div>

        <?php
    } else {
        $wpdb->update($wpdb->prefix . "nft_marketplace_core_contracts", [
            "listing_price" => $_POST["nft_listing_price"],
            "contract_owner" => $_POST["nft_listing_address"],
        ], ["id" => esc_sql($_GET["edit-nft"])]);
    }
}

$contract = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "nft_marketplace_core_contracts WHERE id = " . esc_sql($_GET["edit-nft"]));
?>

<div class="wrap nosubsub">
    <h1 class="wp-heading-inline"><?php esc_html_e("Contracts", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h1>

    <div id="col-container" class="wp-clearfix">

        <div id="col-left">
            <div class="col-wrap">
                <h2><?php esc_html_e("Edit Contract", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h2>


                <form method="post"
                      data-contract-type="NFTMarket"
                      data-marketplace-address="<?php esc_attr_e($contract->contract_address); ?>"
                      id="nft-marketplace-core-marketplace-contract-fee-thirdweb"
                      class="form-wrap">
<!---->
<!--                    --><?php //nft_marketplace_core_create_input(
//                        "nft_listing_price",
//                        "updateListingPrice",
//                        esc_html__("New Listing price:",NFT_MARKETPLACE_CORE_TEXTDOMAIN),
//                        esc_html__("The price you want to get paid per NFT listed for sale on your marketplace."),
//                        '
//                                     <input required=""
//                                             name="nft_listing_price" id="nft_listing_price" type="number" step="0.000000005"  data-is-big-number="true"
//                                            value="'.$contract->listing_price.'"
//                                    >
//                                '); ?>

                    <div class="form-field form-required term-slug-wrap">
                        <label for="nft_listing_address">
                            <?php esc_html_e("Recipient Address:", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
                        </label>
                        <br/>
                        <input name="nft_listing_address" id="nft_listing_address" type="text" value="">
                        <p class="description"><?php esc_html_e("This is useful if you are deploying this contract for a 3rd party and want to take fees for your service.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>

                    </div>
                    <div class="form-field form-required term-slug-wrap">
                        <label for="nft_listing_price">
                            <?php esc_html_e("Platform fees:", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> <span style="color: red">*</span>
                        </label>
                        <br/>
                        <input required="true" name="nft_listing_price" id="nft_listing_price" type="number" step="0.01" value="">
                        <p class="description"><?php esc_html_e("Get additional fees for all primary sales that happen on this contract.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
                    </div>

                    <div style="display: flex; align-items: center;justify-content: space-between">
                        <button type="submit"
                                class="button button-primary"><?php esc_html_e("Update Now", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></button>

                        <div style="margin-right: 45px">
                            <span class="dashicons dashicons-shield" style="color: green"></span>
                            <a href="https://gateway.ipfscdn.io/ipfs/QmNgNaLwzgMxcx9r6qDvJmTFam6xxUxX7Vp8E99oRt7i74/" target="_blank"> <?php esc_html_e("Audited contract!", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> </a>
                        </div>
                    </div>
                </form>


            </div>
        </div>

    </div><!-- /col-container -->

