<?php

use NFT_Marketplace_Core\Backend\ListTableContract;

if (count(get_terms(array(
        'taxonomy' => 'nft_listing_blockchains', // taxonomy slug
        'hide_empty' => false,
    ))) === 0) { ?>

    <p><?php esc_html_e("Add a blockchain first.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>

    <?php
} else {

    if (isset($_GET["make-default"])) {
        global $wpdb;

        $nft_marketplace_core_nft_listing_marketplace_blockchain_address_query = $wpdb->get_results("SELECT taxonomy_blockchain_id,contract_address FROM " . $wpdb->prefix . "nft_marketplace_core_contracts WHERE id = " . esc_sql($_GET["make-default"]))[0];

        if($nft_marketplace_core_nft_listing_marketplace_blockchain_address_query === null) {
            ?>

            <div id="ajax-response">
                <div class="error">
                    <p><?php esc_html_e("Could not find contract!", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
                </div>
            </div>

            <?php
        }


        $termID = get_term_by('ID', $nft_marketplace_core_nft_listing_marketplace_blockchain_address_query->taxonomy_blockchain_id, "nft_listing_blockchains");

        $option = get_option("nft_marketplace_core_default_contract_blockchain");

        $option[$termID->term_id] = $_GET["make-default"];

        update_option("nft_marketplace_core_default_contract_blockchain", $option);

        ?>

        <div id="ajax-response">
            <div class="updated">
                <p><?php esc_html_e("The contract with the address $nft_marketplace_core_nft_listing_marketplace_blockchain_address_query->contract_address is now the default contract for the network $termID->name.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
            </div>
        </div>

        <?php
    }


    if (isset($_GET["edit-nft"])) {
        require_once __DIR__ . "/components/update.php";
    } else {
        $default_tab = null;
        $tab = $_GET['nft-marketplace-core-tab'] ?? $default_tab;
        ?>
        <div class="wrap nosubsub">
            <h1 class="wp-heading-inline"><?php esc_html_e("Contracts", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h1>

            <div id="col-container" class="wp-clearfix">

                <div id="col-left">
                    <div class="col-wrap">
                        <nav class="nav-tab-wrapper">
                            <a href="edit.php?post_type=nft-listing&page=nft-marketplace-core-panel-contracts"
                               class="nav-tab <?php if ($tab === null): ?>nav-tab-active<?php endif; ?>"><?php esc_html_e("Deploy", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></a>
                            <a href="<?php echo esc_url( add_query_arg( "nft-marketplace-core-tab", "import" ) ) ?>"
                               class="nav-tab <?php if ($tab === 'import'): ?>nav-tab-active<?php endif; ?>"><?php esc_html_e("Import", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></a>
<!--                            <a href="--><?php //echo esc_url( add_query_arg( "nft-marketplace-core-tab", "settings" ) ) ?><!--"-->
<!--                               class="nav-tab --><?php //if ($tab === 'settings'): ?><!--nav-tab-active--><?php //endif; ?><!--">--><?php //esc_html_e("Settings", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?><!--</a>-->
                        </nav>

                        <div class="content">

                            <?php

                               if($tab === "import") {
                                    require_once __DIR__ . "/components/import.php";
                                } else {
                                    require_once __DIR__ . "/components/add-new.php";
                                }

                            ?>
                        </div>
                    </div>
                </div>

                <div id="col-right">
                    <div class="col-wrap">
                        <?php
                            $table = new ListTableContract();
                            $table->prepare_items();
                            $table->display();
                        ?>

                    </div>
                </div><!-- /col-right -->

            </div><!-- /col-container -->

        </div>
    <?php }
}
?>
