<?php

$tools = new \NFT_Marketplace_Core\Backend\Tools();

$tools->handleForms();
?>
<div class="wrap nosubsub">
    <h1 class="wp-heading-inline"><?php esc_html_e("Tools", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h1>

    <table class="widefat">
        <tbody class="tools">
        <tr class="clear_transients">
            <th>
                <strong class="name"><?php esc_html_e("Create pages", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></strong>
                <p class="description">
                    <?php esc_html_e("This tool will recreate all the pages the Marketplace needs.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> </p>
            </th>
            <td class="run-tool">
                <form method="post">
                    <button type="submit" class="button button-large" name="mk_pages" value="true">
                        <?php esc_html_e("Run", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
                    </button>
                </form>
            </td>
        </tr>

        <tr class="clear_transients">
            <?php
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, "https://chainid.network/chains_mini.json");
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $server_output = curl_exec($ch);

            curl_close($ch);
            $blockchains = json_decode($server_output, true);
            ?>

            <th>
                <strong class="name"><?php esc_html_e("Import Blockchain", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></strong>
                <p class="description">
                    <?php esc_html_e("This tool will import one blockchain from the list.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> <br/>
                    <?php esc_html_e("For any option with 'Requires edit' you will have to edit the RPC url and add an unique key. Please consult Google on how you will do that as each RPC has different needs.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> <br/>
                    <span style="color: red"><?php esc_html_e("Remember, not all blockchains from this list are supported, only EVM based ones! We have the list from https://chainid.network/", NFT_MARKETPLACE_CORE_TEXTDOMAIN) ?></span>
                </p>
            </th>
            <td class="run-tool">

                <form method="post">
                    <input type="text" hidden="hidden" name="mk_all_values" value="<?php esc_attr_e($server_output) ?>">
                    <select name="mk_selected_option">
                        <?php foreach ($blockchains as $id => $blockchain) { ?>
                            <option value="<?php echo esc_attr($id) ?>"><?php esc_html_e($blockchain["name"]);?> <?php esc_html_e(str_contains($blockchain["rpc"][0], '${') ? "(Requires Edit)" : "");?> </option>
                        <?php } ?>
                    </select>
                    <button type="submit" class="button button-large" name="mk_import_blockchain" value="true">
                        <?php esc_html_e("Import", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
                    </button>
                </form>
            </td>
        </tr>

        <tr class="clear_transients">
            <th>
                <strong class="name"><?php esc_html_e("Configure Plugins", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></strong>
                <p class="description">
                    <?php esc_html_e("This tool will configure all the REQUIRED plugins.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> </p>
            </th>
            <td class="run-tool">
                <form method="post">
                    <button type="submit" class="button button-large" name="mk_config_plugin" value="true">
                        <?php esc_html_e("Run", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
                    </button>
                </form>
            </td>
        </tr>

        <tr class="clear_transients">
            <th>
                <strong class="name"><?php esc_html_e("Toggle Debug", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></strong>
                <p class="description">
                    <?php esc_html_e("This tool will turn WP_DEBUG on. You can read more about what it does ", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> <a href="https://www.hostinger.com/tutorials/debug-wordpress"><?php esc_html_e("here", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>.</a><br/>
                    <?php esc_html_e("Just provide our support team with the error you are seeing (it must begin with FATAL ERROR) and we will be able to solve your problem faster.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> <br/>
                    <?php esc_html_e("If no errors are showing up, your might have to edit the file manually. ", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
                    <?php esc_html_e("Current state: ", NFT_MARKETPLACE_CORE_TEXTDOMAIN); echo WP_DEBUG ? 'on' : 'off'; ?>
                </p>
            </th>
            <td class="run-tool">
                <form method="post">
                    <button type="submit" class="button button-large" name="mk_turn_debug_on" value="true">
                        <?php esc_html_e("Turn ", NFT_MARKETPLACE_CORE_TEXTDOMAIN);echo WP_DEBUG ? 'off' : 'on'; ?>
                    </button>
                </form>
            </td>
        </tr>

        <tr class="clear_transients">
            <th>

                <strong class="name"><?php esc_html_e("Reset", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></strong>
                <p class="description">
                    <?php esc_html_e("Resets the plugin as it was never installed. You will have to reactivate the plugin.", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> </p>
            </th>
            <td class="run-tool">
                <form method="post">
                    <button type="submit" style="background: red;" class="button-primary" name="mk_reset_plugin" value="true">
                        <?php esc_html_e("Reset", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
                    </button>
                </form>
            </td>
        </tr>

        </tbody>
    </table>

</div>

<style>
    table.widefat {
        border: 1px solid #c3c4c7;
        box-shadow: 0 1px 1px rgb(0 0 0 / 4%);
        background: #fff;
        border-spacing: 0;
        width: 100%;
        clear: both;
        margin: 0;
    }
</style>
