<?php


namespace NFT_Marketplace_Core\Contracts;

use NFT_Marketplace_Core\Internals\Helpers\Helper;

class Collection extends NFTContract
{
    public const MetadataByTokenId = "tokenURI";
    public const TotalSupply = "totalSupply";

    public function getContractType()
    {
        return "ERC-721";
    }

    public function getThirdWebName()
    {
        return "NFT Collection";
    }

    /**
     * @throws \Exception
     */
    public function getTotalSupply()
    {
        return intval($this->connection->call("totalSupply")->result->toString());
    }

    /**
     * @throws \Exception
     */
    public function getMetadataByTokenId($tokenID)
    {
        return $this->connection->call("tokenURI", [$tokenID])->elem_1;
    }

    public function getAbi(): string
    {
        $contractLocation = file_get_contents(plugin_dir_path(NFT_MARKETPLACE_CORE_PLUGIN_MAIN_FILE_LOCATION) . "contracts/abis/ERC721.json");
        if (!$contractLocation) throw new \Exception("Could not find contract abi!");

        return json_encode(json_decode($contractLocation, true)["abi"]) ?? "";
    }

    public function getOwnerOf(...$args): string
    {
        return $this->connection->call("ownerOf", $args)->result;
    }
}
