<?php


namespace NFT_Marketplace_Core\Contracts;

class Edition extends NFTContract
{
    public const MetadataByTokenId = "uri";
    public const TotalSupply = "nextTokenIdToMint";

    public function getContractType()
    {
        return "ERC-1155";
    }

    public function getThirdWebName()
    {
        return "Edition";
    }

    public function getTotalSupply()
    {
        return intval($this->connection->call("nextTokenIdToMint")->result->toString());
    }

    public function getMetadataByTokenId($tokenID)
    {
        return $this->connection->call("uri", [$tokenID])->elem_1;
    }

    public function getAbi(): string
    {
        $contractLocation = file_get_contents(plugin_dir_path(NFT_MARKETPLACE_CORE_PLUGIN_MAIN_FILE_LOCATION) . "contracts/abis/TokenERC1155.json");
        if (!$contractLocation) throw new \Exception("Could not find contract abi!");

        return json_encode(json_decode($contractLocation, true)["abi"]) ?? "";
    }

    public function getOwnerOf(...$args): string
    {
        return $this->connection->call("owner", $args)->result;
    }
}
