<?php
/**
 * code
 *
 * @package   code
 * @author    ModelTheme <support@modeltheme.com>
 * @copyright Copyright (C) 2012-2022, Modeltheme, support@modeltheme.com
 * @license   GPL-3.0
 * @link      https://modeltheme.com
 */

namespace NFT_Marketplace_Core\Frontend\Extras;

use NFT_Marketplace_Core\Engine\Base;

/**
 *
 * @package   NFT Marketplace Core
 * @author    ModelTheme <support@modeltheme.com>
 * @copyright Copyright (C) 2012-2022, Modeltheme, support@modeltheme.com
 * @license   GPL-3.0
 * @link      https://modeltheme.com
 */
class PageNFTListings extends PageGlobal
{
    public function initialize()
    {
        //NFT Listings template
        add_action('nft_marketplace_core_archive_listing_query_template', [$this, 'single_nft_block']);
        add_action('nft_marketplace_core_archive_before_grid_template', [$this, 'archive_ordering_template'], 20);
    }

    // TEMPLATE NFT LISTING: ORDERING
    function archive_ordering_template(){
        $term = get_queried_object();
        $taxonomy = $term->slug;
        echo '<div class="nft-marketplace-taxonomy-ordering col-md-3">';
        ?>

		<select id="selectFilter">
			<option value=""><?php echo esc_html__('Default Sorting'); ?></option>
			<option value="title" <?php if(isset($_GET['orderby']) && $_GET['orderby'] == 'title') echo 'selected="selected"'; ?>>
				<?php echo esc_html__('Sort by Title',NFT_MARKETPLACE_CORE_TEXTDOMAIN);?>
			</option>
			<option value="date" <?php if(isset($_GET['orderby']) && $_GET['orderby'] == 'date') echo 'selected="selected"'; ?>>
				<?php echo esc_html__('Sort by Date',NFT_MARKETPLACE_CORE_TEXTDOMAIN);?>
			</option>
			<option value="price_low" <?php if(isset($_GET['orderby']) && $_GET['orderby'] == 'price_low') echo 'selected="selected"'; ?>>
				<?php echo esc_html__('Sort by Price (Low)',NFT_MARKETPLACE_CORE_TEXTDOMAIN);?>

			</option>
			<option value="price_high" <?php if(isset($_GET['orderby']) && $_GET['orderby'] == 'price_high') echo 'selected="selected"'; ?>>
				<?php echo esc_html__('Sort by Price (High)',NFT_MARKETPLACE_CORE_TEXTDOMAIN);?>
			</option>
			<option value="quantity" <?php if(isset($_GET['orderby']) && $_GET['orderby'] == 'quantity') echo 'selected="selected"'; ?>>
				<?php echo esc_html__('Sort by Quantity',NFT_MARKETPLACE_CORE_TEXTDOMAIN);?>

			</option>
			<option value="views" <?php if(isset($_GET['orderby']) && $_GET['orderby'] == 'views') echo 'selected="selected"'; ?>>
				<?php echo esc_html__('Sort by Most Views',NFT_MARKETPLACE_CORE_TEXTDOMAIN);?>
			</option>
		</select>
		<script>
			(function() {
				function updateURL(value) {
					const url = new URL(window.location.href);
					url.searchParams.set('orderby', value);
					document.location = url.toString();
				}

				const selectFilter = document.getElementById('selectFilter');

				selectFilter.addEventListener('change', function(e) {
					updateURL(e.target.value);
				});
			})();
		</script>
		<?php
        echo '</div>';
    }
}
