<?php
/**
 * htdocs
 *
 * @package   htdocs
 * @author    ModelTheme <support@modeltheme.com>
 * @copyright All rights reserved for ModelTheme
 * @license   GPL-3.0
 * @link      https://modeltheme.com
 */

namespace NFT_Marketplace_Core\Integrations;

use NFT_Marketplace_Core\Engine\Base;
use NFT_Marketplace_Core\Internals\Helpers\BlockchainDatasetBuilder;
use NFT_Marketplace_Core\Internals\Metas\NFTMeta;

class EditNFTPage extends Base
{

	public function initialize()
	{
		add_action('add_meta_boxes_nft-listing', [$this, 'add_custom_meta_box']);
	}

	public function add_custom_meta_box()
	{
		add_meta_box(
			'nft-marketplace-core-actions',
			esc_html__("Blockchain Specific Actions", NFT_MARKETPLACE_CORE_TEXTDOMAIN),
			[$this, 'custom_meta_box_callback'],
			'nft-listing',
			'side',
			'core'
		);
	}

	public function custom_meta_box_callback()
	{
		$id = get_the_ID();
		$tokenId = get_post_meta($id, NFTMeta::tokenId, true);
		$isImported = get_post_meta($id, NFTMeta::isImported, true);
		?>
			<div class="nft-marketplace-core-tooltip" style="border-bottom: 0 !important;">
				<a href="#"
					<?php echo BlockchainDatasetBuilder::refreshMetadata($id, $tokenId); ?>
				   class="single_nft_button button alt">
					<?php $isImported === "no" ? esc_html_e("Import Now", NFT_MARKETPLACE_CORE_TEXTDOMAIN) : esc_html_e("Refresh Metadata", NFT_MARKETPLACE_CORE_TEXTDOMAIN) ?>
				</a>
			</div>
		<?php
	}
}
