<?php

namespace NFT_Marketplace_Core\Integrations;

use NFT_Marketplace_Core\Engine\Base;

/**
 * Handle integration with ModelTheme's plugin KYC - Know Your Customer
 *
 * @package   Nft_Marketplace_Core
 * @author    ModelTheme <support@modeltheme.com>
 * @copyright All rights reserved for ModelTheme
 * @license   GPL-3.0
 * @link      https://modeltheme.com
 */
class WalletConnect extends Base
{

    /**
     * Initialize class.
     *
     * @return void
     * @since 3.2.1
     */
    public function initialize()
    {
        parent::initialize();
        if (is_plugin_active("mt-walletconnect-auth/mt-walletconnect-auth.php")) {
            add_action('nft_marketplace_core_panel_account_settings_tab_after_form', [$this, "attachButtonToPanel"]);
        }
    }

    /**
     * Handles displaying the verification widget on the Enefti Panel
     * @return void
     * @since 3.2.1
     */
    public function attachButtonToPanel()
    {
        echo do_shortcode('[mtwc_auth type="link"]');
    }
}
