<?php
/**
 * ModelTheme Project
 *
 * @package   ModelTheme Project
 * @author    ModelTheme <support@modeltheme.com>
 * @copyright All rights reserved for ModelTheme
 * @license   GPL-3.0
 * @link      https://modeltheme.com
 */

namespace NFT_Marketplace_Core\Internals;

use Inpsyde\Assets\Asset;

class Script extends \Inpsyde\Assets\Script
{
    public function replaceScriptTypeWithModule($tag, $handle, $src)
    {
        // if not your script, do nothing and return original $tag
        if ($this->handle !== $handle) {
            return $tag;
        }

        return '<script type="module" src="' . esc_url( $src ) . '"></script>';
    }

    public function withModuleAttribute() {
        \add_filter('script_loader_tag', [$this, 'replaceScriptTypeWithModule'], 10, 3);
    }
}
