<?php

namespace NFT_Marketplace_Core\Internals\Helpers;

class Error
{
    /**
     * @param $code
     * @param $message
     * @param array $data
     * @param bool $echo
     * @return \WP_Error
     * @since 3.1.1
     */
     static function throw($code, $message, $data = [], $echo = true) {
        if (current_user_can('administrator') && $echo) {
            echo '<div class="nft-marketplace-core-alert"><strong>';
            echo esc_html__("ERROR #$code: $message", NFT_MARKETPLACE_CORE_TEXTDOMAIN);
            echo '</strong></div>';
        }

        return new \WP_Error($code,$message, $data);
    }
}
