<?php

namespace NFT_Marketplace_Core\Internals\Helpers;

/**
 * Configuration Check Helper Class
 *
 * @package    NFT Marketplace Core
 * @subpackage NFT Marketplace Core/admin
 * @author     ModelTheme <support@modeltheme.com>
 */
class VerifyConfig {

    /**
     * Function that checks for empty blockchains.
     * @return bool
     */
    public static function emptyBlockchains() {
        global $wpdb;
        $pref = $wpdb->prefix;
        $results = $wpdb->get_results("SELECT * FROM ".$pref."term_taxonomy WHERE taxonomy = 'nft_listing_blockchains'", ARRAY_A);

        if(is_null($results)) {
            return false;
        }

        return count($results) === 0;
    }
    /**
     * Function that checks for empty contracts on all networks.
     * @return bool
     */
    public static function emptyContracts() {
        global $wpdb;
        $pref = $wpdb->prefix;
        $results = $wpdb->get_results("SELECT id FROM ${pref}nft_marketplace_core_contracts");

        if(is_null($results)) {
            return false;
        }

        return count($results) === 0;
    }
    /**
     * Function that checks for a contract on a specific network.
     * @return bool
     */
    public static function hasContractOnNetwork($network) {
        global $wpdb;
        $tablename = $wpdb->prefix.'nft_marketplace_core_contracts';
        return count($wpdb->get_results("SELECT id FROM $tablename WHERE taxonomy_blockchain_id = $network")) > 0;
    }
}
