<?php

namespace NFT_Marketplace_Core\Internals\Metas;

/**
 * NFT Marketplace Core
 *
 * All post metas for the NFT post type.
 *
 * @package   NFT Marketplace Core
 * @author    ModelTheme <support@modeltheme.com>
 * @copyright All rights reserved for ModelTheme
 * @license   GPL-3.0
 * @link      https://modeltheme.com
 */
class NFTMeta
{
	const cannotBeCanceled = "nft_marketplace_core_nft_listing_cannot_be_canceled";
	const description = "nft_marketplace_core_nft_listing_description_meta";
	const isUnlockable = "nft_marketplace_core_nft_listing_content_meta";
	const unlockableContent = "nft_marketplace_core_nft_listing_content";
	const isExplicit = "nft_marketplace_core_nft_listing_explicit_meta";
	const currentOwner = "nft_marketplace_core_nft_listing_owner";
	const price = "nft_marketplace_core_nft_listing_currency_price";
	const address = "nft_marketplace_core_nft_listing_address";
	const tokenId = "nft_marketplace_core_nft_listing_token_id";
	const creatorUserId = "nft_marketplace_core_nft_listing_creator_user_id";
	const creatorAddress = "nft_marketplace_core_nft_listing_creator_address";
	const contractType = "nft_marketplace_core_nft_listing_contract_type";
	const chainId = "nft_marketplace_core_nft_listing_deployed_blockchain_id";
	const stats = "nft_marketplace_core_nft_listing_group";
	const properties = "nft_marketplace_core_nft_listing_properties_group";
	const listingType = "nft_marketplace_core_nft_listing_type";
	const levels = "nft_marketplace_core_nft_listing_level_group";
	const image = "nft_marketplace_core_nft_listing_external_image";
	const quantity = "nft_marketplace_core_nft_listing_quantity";
	const isImported = "nft_marketplace_core_is_imported";
	const startTime = "nft_marketplace_core_nft_listing_start_time";
	const endTime = "nft_marketplace_core_nft_listing_end_time";
	const views = "nft_marketplace_core_post_views_count";
	const minimumBid = "nft_marketplace_core_auction_nft_listing_min_price";
	const buyoutPrice = "nft_marketplace_core_nft_listing_buyout_price_per_token";
	const listingId = "nft_marketplace_core_nft_marketplace_id";
}
