<?php

get_header();

$collection = new \NFT_Marketplace_Core\Internals\TaxMeta\CL_TAX_META();
if (isset($_GET['manage-collection']) && is_numeric($_GET['manage-collection'])) {
    do_action('nft_marketplace_core_before_main_content', "", "Edit Collection");

    $term = get_term($_GET['manage-collection']);
    $image =get_term_meta($term->term_id, 'collection-image-id', true)
    ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main " role="main">
            <divz zclass="high-padding">
                <div class="container blog-posts single-nft">
                    <br/>
                    <br/>
                    <br/>
					<?php
						$oldFile = get_term_meta($term->term_id, "collection-image-id", true);
						echo $collection->handleFrontendReSubmission($term,$_POST, $_FILES, $oldFile);
					?>
                    <div class="col-md-12 main-content row">

                        <form id="addtag" method="post" class="validate" enctype="multipart/form-data">
                            <div class="form-field form-required term-name-wrap">
                                <label for="tag-name" required><?php esc_html_e("Collection Name",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></label>
                                <input name="tag-name" id="tag-name" type="text" value="<?php esc_attr_e($term->name);?>" required size="40" aria-required="true">
                                <p><?php esc_html_e("The name is how it appears on your site.",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
                            </div>
                            <div class="form-field term-slug-wrap">
                                <label for="tag-slug"><?php esc_html_e("Collection URL",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></label>
                                <input name="slug" id="tag-slug" type="text" value="<?php esc_attr_e($term->slug);?>" size="40">
                                <p><?php esc_html_e("It is usually all lowercase and contains only letters, numbers, and hyphens.",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> </p>
                            </div>

                            <div class="form-field term-description-wrap">
                                <label for="tag-description"><?php esc_html_e("Description",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></label>
                                <textarea name="description" id="tag-description"  rows="5" cols="40"><?php esc_html_e($term->description);?></textarea>
                            </div>

                            <div class="form-field term-group">
                                 <label for="collection-image-id-"><?php esc_html_e("Image",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></label>

                                <input type="file" id="collection-image-id" name="collection-image-id" accept="image/*">
                            </div>
                            <div>
                                <?php
                                if ($image) {
                                    echo "<br/><b>".esc_html__("Current Image", NFT_MARKETPLACE_CORE_TEXTDOMAIN)."</b>";
                                    echo "<br/><br/><img src='".wp_get_attachment_image_src($image)[0]."' width='170' height='170'/><br/><br/>";
                                }
                                ?>
                            </div>
                            <br/>
                            <p class="submit">
                                <input type="submit" name="submit" id="submit" class="single_nft_button button alt" value="<?php esc_html_e("Save Collection",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>">
                                <span class="spinner"></span>
                            </p>
                        </form>
                    </div>
                </div>
            </divz>
        </main>
    </div>

    <?php
} elseif (isset($_GET['create-collection'])) {
    do_action('nft_marketplace_core_before_main_content', "", "Create Collection");

    ?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main " role="main">
            <divz zclass="high-padding">
                <div class="container blog-posts single-nft">
                    <br/>
                    <br/>
                    <br/>
                    <?php echo $collection->handleFrontendSubmission($_POST, $_FILES); ?>
                    <div class="col-md-12 main-content row">

                        <form id="addtag" method="post" class="validate" enctype="multipart/form-data">
                            <div class="form-field form-required term-name-wrap">
                                <label for="tag-name" required><?php esc_html_e("Collection Name",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></label>
                                <input name="tag-name" id="tag-name" type="text" value="" required size="40" aria-required="true">
                                <p><?php esc_html_e("The name is how it appears on your site.",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
                            </div>
                            <div class="form-field term-slug-wrap">
                                <label for="tag-slug"><?php esc_html_e("Collection URL",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></label>
                                <input name="slug" id="tag-slug" type="text" value="" size="40">
                                <p><?php esc_html_e("It is usually all lowercase and contains only letters, numbers, and hyphens.",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> </p>
                            </div>

                            <div class="form-field term-description-wrap">
                                <label for="tag-description"><?php esc_html_e("Description",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></label>
                                <textarea name="description" id="tag-description"  rows="5" cols="40"></textarea>
                            </div>

                            <div class="form-field term-group">
                                <label for="collection-image-id-"><?php esc_html_e("Image",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></label>
                                <input type="file" id="collection-image-id" name="collection-image-id" accept="image/*">
                            </div>
                            <br/>
                            <p class="submit">
                                <input type="submit" name="submit" id="submit" class="single_nft_button button alt" value="<?php esc_html_e("Save Collection",NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>">
                                <span class="spinner"></span>
                            </p>
                        </form>
                    </div>
                </div>
            </divz>
        </main>
    </div>
    <?php
}

get_footer();
