<?php

use NFT_Marketplace_Core\Contracts\Factory;
use NFT_Marketplace_Core\Internals\Metas\BlockchainMeta;
use NFT_Marketplace_Core\Internals\Metas\NFTMeta;
use SWeb3\SWeb3;

$postID = $_GET["manage-contract"];

if (!is_numeric($postID)) {
    global $wp_query;
    $wp_query->set_404();
    status_header(404);
    get_template_part(404);
    exit();
}

$post = get_post($postID);

if (intval($post->post_author) !== get_current_user_id()) {
    global $wp_query;
    $wp_query->set_404();
    status_header(404);
    get_template_part(404);
    exit();
}

$contract = get_post_meta($postID, NFTMeta::address, true);
$tokenId = get_post_meta($postID, NFTMeta::tokenId, true);
$type = get_post_meta($postID, NFTMeta::contractType, true);
$nft_marketplace_core_nft_listing_blockchains_term = get_the_terms($postID, 'nft_listing_blockchains');
global $wpdb;
$nftContract = Factory::getContractByType($type, $contract, new SWeb3(get_term_meta($nft_marketplace_core_nft_listing_blockchains_term[0]->term_id, BlockchainMeta::rpc, true)));

get_header();
do_action('nft_marketplace_core_before_main_content', "", "Update NFT Contract");

function createFunction($id, $functionName, $label, $desc, $input)
{
    echo '
        <div class="form-field form-required term-slug-wrap"
             data-function-name="' . $functionName . '"
             data-changed="false"
        >
            <label for="' . $id . '">' . $label . '</label>
    ';

    echo str_replace("<input", "<input name='$id' id='$id' ", $input);

    echo '
            <p class="description">' . $desc . '</p>
        </div>
    ';
}

?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main " role="main">
            <div class="high-padding">
                <div class="container blog-posts single-nft">
                    <div class="col-md-12 main-content row">
                        <form
							method="post"
							data-contract-type="NFT"
							data-contract-address="<?php esc_attr_e($contract); ?>"
							id="nft-marketplace-core-call-setter"
							class="form-wrap"
						>
							<?php
								createFunction(
									"nft-marketplace-core-set-base-uri",
									"setBaseURI",
									esc_html__("Base URI", NFT_MARKETPLACE_CORE_TEXTDOMAIN),
									esc_html__("The base url where your NFT's metadata resides."),
									'
										 <input
										 	required=""
											type="text"
											value="' . str_replace("1.json", "", $nftContract->getMetadataByTokenId($tokenId)) . '"
										>
									'
								);
							?>
                            <br/>
                            <button
								type="submit"
								class="single_nft_button button alt"
							>
								<?php esc_html_e("Update", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
							</button>
                        </form>
                    </div>
                </div>
            </div>
        </main>
    </div>
<?php
get_footer();
