<?php
/**
 * The template for single NFT Listing pages.
 */

use NFT_Marketplace_Core\Integrations\NFTForm;
// Redirect to 404 if user is not author
if(get_current_user_id() !== (int) get_post(get_the_ID())->post_author) {
    global $wp_query;
    $wp_query->set_404();
    status_header( 404 );
    get_template_part( 404 ); exit();
}

wp_enqueue_style('nft-marketplace-core-edit-nft-v1', plugin_dir_url(NFT_MARKETPLACE_CORE_PLUGIN_MAIN_FILE_LOCATION).'/assets/css/versions/edit-nft-v1.css');

get_header();
$nft_marketplace_core_nft_listing_price = get_post_meta(get_the_ID(), 'nft_marketplace_core_nft_listing_price_meta', true);
$nft_marketplace_core_nft_listing_description_meta = get_post_meta(get_the_ID(), 'nft_marketplace_core_nft_listing_description_meta', true);


$post_to_edit = get_post(get_the_ID());

do_action('nft_marketplace_core_before_main_content', esc_html__("Editing ", NFT_MARKETPLACE_CORE_TEXTDOMAIN));

?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main " role="main">
            <div class="high-padding">
                <div class="container blog-posts single-nft">
                    <div class="">
                        <div class="col-md-12 main-content row">

                            <?php
                            $form = new NFTForm(true);
                            $form->nft_marketplace_core_render_form(get_the_ID());
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </main>
    </div>
<?php

get_footer();
?>
