<?php

// Redirect to 404 if user is not author
if(get_current_user_id() !== (int) get_post(get_the_ID())->post_author) {
    global $wp_query;
    $wp_query->set_404();
    status_header( 404 );
    get_template_part( 404 ); exit();
}

get_header();
$unlockedBefore = get_post_meta(get_the_ID(), "nft_marketplace_core_nft_listing_content_times", true);
$unlockedBefore = is_numeric($unlockedBefore) ? $unlockedBefore : 0;

do_action('nft_marketplace_core_before_main_content');
?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
            <div class="high-padding">
                <div class="container blog-posts single-nft">
                    <div class="row">
                        <div class="col-md-12 main-content row">
                            <?php

                            if (isset($_GET["confirm"])) {
                                update_post_meta(get_the_ID(), "nft_marketplace_core_nft_listing_content_times", $unlockedBefore + 1);
                                ?>
                                <h4><?php esc_html_e("Congratulations! Here is what came with your purchase:"); ?></h4>
                                <p><?php esc_html_e("This content has been unlocked ") . esc_html_e($unlockedBefore) . esc_html_e(" time(s) before."); ?></p>

                                <textarea disabled><?php esc_html_e(get_post_meta(get_the_ID(), "nft_marketplace_core_nft_listing_content", true)) ?></textarea>
                                <a href="<?php echo remove_query_arg(["confirm" => true, "unlock-nft-content" => true], get_permalink()) ?>">
                                    <button class="single_nft_button button alt"><?php esc_html_e("Go Back", NFT_MARKETPLACE_CORE_TEXTDOMAIN) ?></button>
                                </a>
                                <?php
                            } else {
                                ?>
                                <h4><?php esc_html_e("Do you really want to unlock the hidden contents?"); ?></h4>
                                <p><?php esc_html_e("This content has been unlocked ") . esc_html_e($unlockedBefore) . esc_html_e(" time(s) before."); ?></p>
                                <a href="<?php echo add_query_arg(["confirm" => true, "unlock-nft-content" => true], get_permalink()) ?>">
                                    <button class="single_nft_button button alt"><?php esc_html_e("Unlock Now", NFT_MARKETPLACE_CORE_TEXTDOMAIN) ?></button>
                                </a>
                                <?php
                            }
                            ?>

                        </div>
                    </div>
                </div>
            </div>
        </main>
    </div>

<?php
get_footer();
