<?php

use NFT_Marketplace_Core\Internals\Helpers\Helper;
use NFT_Marketplace_Core\Internals\Helpers\Marketplace;
use NFT_Marketplace_Core\Internals\Helpers\Provenience;
use NFT_Marketplace_Core\Internals\Metas\NFTMeta;

/**
 * Main Content:Start of Page
 */
// check for marketplace sale
$postID = get_the_ID();
$contractHelper = Helper::contractHelperFromPostId($postID, $additionalData);
$nft_marketplace_core_nft_marketplace_id = get_post_meta($postID, 'nft_marketplace_core_nft_marketplace_id', true);
global $wpdb;

if (isset($_POST["nft_marketplace_core_buy_data"])) {
	Marketplace::sellNFT($postID);
	die();
}

if (isset($_POST["nft_marketplace_core_nft_cancel_listing"])) {
	Marketplace::cancelListing($postID);
	die();
}

if (isset($_POST["nft_marketplace_core_nft_listing_offers"])) {
	Marketplace::makeOfferOnNFT($postID, $_POST["nft_marketplace_core_nft_listing_offers"]);
	die();
}

if (isset($_POST["nft_marketplace_core_offer_accepted"])) {
	Marketplace::acceptOffer($postID, $_POST["nft_marketplace_core_offer_accepted"], $_POST["nft_marketplace_core_offer_accepted_result"]);
	die();
}

if (isset($_GET["offer-list"])) {
	require_once plugin_dir_path(__FILE__) . "/single-actions/single-nft-listing-offers.php";
	die();
}
do_action("nft_marketplace_core_before_show_nft", $postID);

if (get_post_meta($postID, NFTMeta::isImported, true) === "no") {
	get_header();
	do_action('nft_marketplace_core_before_main_content');
	?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
			<div class="high-padding">
				<div class="container blog-posts single-nft">
					<div class="high-padding">
						<div id="nft-marketplace-core-loader-wrapper" style="display: flex;flex-direction: column"
							 class="nft-marketplace-core-loader-wrapper">
							<div class="nft-marketplace-core-loader">
								<svg viewBox="0 0 80 80">
									<rect x="8" y="8" width="64" height="64"></rect>
								</svg>
							</div>
							<h3><?php esc_html_e("Our system is currently in the process of importing this NFT", NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></h3>
							<h4><?php esc_html_e("Come back in 1 hour to check it out", NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></h4>
						</div>
					</div>
				</div>
			</div>
		</main>
	</div>
	<?php
	get_footer();
	return;
}

/**
 * The template for single NFT Listing pages.
 */
if (get_option('nft_marketplace_core_panel_styling') !== "" && isset(get_option('nft_marketplace_core_panel_styling')['nft_marketplace_core_themes_single'])) {
	require NFT_MARKETPLACE_CORE_PLUGIN_ROOT . "templates/versions/single/" . get_option('nft_marketplace_core_panel_styling')['nft_marketplace_core_themes_single'];
} else {
	require NFT_MARKETPLACE_CORE_PLUGIN_ROOT . "templates/versions/single/default.php";
}

