<?php
get_header();

$current_user = wp_get_current_user();
$author = get_user_by( 'slug', get_query_var( 'author_name' ) );
$author_edit_link = get_home_url().'/'.get_option('nft_marketplace_core_panel_pages_tab')['nft_marketplace_core_panel_pages_dashboard'].'?tab=5';
$author_link = home_url($wp->request);

//Update Form
do_shortcode('[nft_marketplace_core_update_author_form_shortcode]');

$nft_marketplace_core_banner_img = get_user_meta($author->ID,'nft_marketplace_core_banner_img',true);

wp_enqueue_style('nft-marketplace-core-author-v1', plugin_dir_url(NFT_MARKETPLACE_CORE_PLUGIN_MAIN_FILE_LOCATION).'/assets/css/versions/author-v1.css');
?>

<div class="author-fullwidth-banner" style="<?php if($nft_marketplace_core_banner_img){?>background-image:url(<?php echo esc_url($nft_marketplace_core_banner_img); ?>);<?php }else { ?>background:#ddd;<?php } ?>"></div>
<div class="high-padding nft-marketplace-core-author">
	<div class="container">
		<div class="row">
			<div class="author-content col-12">
				<div class="author-img-zone">
					<div class="author-avatar-img">
						<?php echo get_avatar( $author->ID, 96);?>
					</div>
				</div>
				<div class="author-details">
					<div class="author-details-title">
						<h2>
                            <?php echo apply_filters("nft_marketplace_core_process_display_name", $author->ID); ?>
                        </h2>
						<?php if($current_user->user_nicename == $author->user_nicename) { ?>
							<button class="nft-edit-profile"><a class="btn-edit" href="<?php echo esc_url(home_url(). "/" .get_option('nft_marketplace_core_panel_pages_tab', ['nft_marketplace_core_panel_pages_dashboard' => 'manage-your-nfts'])['nft_marketplace_core_panel_pages_dashboard']."?tab=5"); ?>"><?php echo esc_html__('Edit Profile',NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></a></button>
						<?php } ?>
					</div>
					<div class="author-details-description">
						<p><?php echo esc_html($author->user_description ); ?></p>
					</div>
					<div class="author-details-stats">
						<ul class="author-stats-list d-flex">
							<li class="author-stats-list-item">
								<h3>
									<?php
										echo count(
											get_terms(
												array(
													'hide_empty' => false, // also retrieve terms which are not used yet
													'meta_query' => array(
														array(
															'key'       => 'nft_marketplace_core_taxonomy_collection_author',
															'value'     => $author->ID,
															'compare'   => '='
														)
													),
													'taxonomy'  => 'nft-listing-collection',
												)
											)
										);
									?>
								</h3>
								<p><?php esc_html_e("Collections", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
							</li>
							<li class="author-stats-list-item">
								<h3><?php echo count_user_posts($author->ID, "nft-listing"); ?></h3>
								<p><?php esc_html_e("NFTs", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
							</li>
						</ul>
					</div>
					<div class="author-social-section">
						<?php do_action('nft_marketplace_core_author_header_right'); ?>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="nft-content col-12">
				<div class="author-listing-wrapper">
					<div class="author-listings">
						<?php
						$nfts_query_arg = array(
								'post_type' => 'nft-listing',
								'author' => $author->ID,
								'posts_per_page'  => 4,
                                'paged' => get_query_var('paged') ? get_query_var('paged') : 1
                        );
						$nfts_query = new WP_Query( $nfts_query_arg );

						if( $nfts_query->have_posts() ) : ?>
							<?php while ( $nfts_query->have_posts() ) : $nfts_query->the_post(); ?>
								<article id="post-<?php the_ID(); ?>" class="nft-listing col-md-3">
									<?php do_action('nft_marketplace_core_author_listing_query'); ?>
								</article>
							<?php endwhile; ?>
							<?php wp_reset_postdata(); ?>

							<div class="clearfix"></div>

							<?php do_action('nft_marketplace_core_author_after_grid'); ?>

						<?php else : ?>
							<strong><?php echo esc_html__('There are no NFT Listings!',NFT_MARKETPLACE_CORE_TEXTDOMAIN) ?></strong>
						<?php endif; ?>
						<div class="clearfix"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>




<?php get_footer();?>

