<?php

use Brick\Math\BigDecimal;
use NFT_Marketplace_Core\Internals\Helpers\Assets;
use NFT_Marketplace_Core\Internals\Helpers\Helper;
use NFT_Marketplace_Core\Internals\Helpers\Marketplace;

$nft_marketplace_core_nft_listing_blockchains_term = get_the_terms($postId, 'nft_listing_blockchains');
$contractHelper = Helper::contractHelperFromPostId($postId, $additionalData);
$isOnSale = Marketplace::isNFTOnSale($postId);
$nft_marketplace_core_nft_listing_price = get_post_meta($postId, 'nft_marketplace_core_nft_listing_currency_price', true);
$price = esc_attr(Marketplace::formatCurrency($nft_marketplace_core_nft_listing_price));

$customTokenAddress = get_post_meta($postid, "nft_marketplace_core_nft_listing_currency", true);
if ($customTokenAddress !== "0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee" && $customTokenAddress !== "") {
	if ($customTokenAddress === "0x596a61a4daa09afd4169a4ed75a5035fe6e3917e") {
		$price = esc_attr(BigDecimal::of($nft_marketplace_core_nft_listing_price)->exactlyDividedBy(BigDecimal::of(10)->power(6)));
	} else if ($customTokenAddress === "0x93521c8c6ab1a0af419420cb71b8de216aa0472b") {
		$price = esc_attr(BigDecimal::of($nft_marketplace_core_nft_listing_price)->exactlyDividedBy(BigDecimal::of(10)->power(9)));
	}
	$currencyTermId = Helper::getCurrencyByContractAddress($customTokenAddress)[0]->term_id;
	$currencyTermMeta = get_term_meta($currencyTermId, "nft_marketplace_core_taxonomy_currency_symbol", true);
}

$text = !empty($nft_marketplace_core_nft_listing_blockchains_term) && $isOnSale ? esc_html__('View NFT', NFT_MARKETPLACE_CORE_TEXTDOMAIN) : esc_html__('Purchase NFT', NFT_MARKETPLACE_CORE_TEXTDOMAIN);
echo '<div class="nft-listing-wrapper">';
echo '<div class="nft-listing-image">';
echo '<div class="overlay-container">';
echo '<div class="hover-container">';
echo '<div class="component add-to-cart">';
echo '<a class="button" href="' . get_the_permalink($postid) . '">' . apply_filters('nft_marketplace_core_bid_button', $text) . '</a>';
echo '</div>';
echo '</div>';
echo '</div>';
echo '<a class="nft-listing-media" href="' . esc_url(get_the_permalink($postid)) . '">
        ' . Assets::getNFTDisplayAsset($postid, 'large', false) . '
    </a>';
echo '</div>';
echo '<div class="nft-listing-title-metas">';
echo '<div class="title-wrapper">';
echo '<h3 class="nft-listing-name">';
echo '<a href="' . esc_url(get_the_permalink($postid)) . '">';
get_the_title($postid);
echo '</a>';
echo '</h3>';
do_action('nft_marketplace_core_single_nft_block_after_title');
echo '</div>';
echo '<div class="details-container">';

if ($isOnSale) {
    echo '<span>' . apply_filters('nft_marketplace_core_reserve_text', esc_html__('Reserve Price', NFT_MARKETPLACE_CORE_TEXTDOMAIN)) . '</span>';
	if ($customTokenAddress !== "0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee" && $customTokenAddress !== "") {
		echo '<span class="nft-listing-price">' . Assets::getCurrencyImageSrcByTermId($currencyTermId, [18, 18]) . ' ' . esc_attr($price) . ' ' . esc_html($currencyTermMeta) . '</span>';
	} else {
		echo '<span class="nft-listing-price">' . Assets::getCurrencyImageSrcByTermId($additionalData["term_id"], [18, 18]) . ' ' . esc_attr($price) . ' ' . esc_attr($additionalData["currency_symbol"]) . '</span>';
	}
} else {
    echo '<span>' . esc_html_e("NFT not listed.", NFT_MARKETPLACE_CORE_TEXTDOMAIN) . '</span>';
}
echo '</div>';

echo '</div>';
echo '</div>';
