<?php
get_header();

$current_user = wp_get_current_user();
$term = get_term_by( 'slug', get_query_var( 'nft-listing-category' ), 'nft-listing-collection' );
$nft_marketplace_core_banner_img = false;

$auth_id = $post->post_author;
$postID = get_the_ID();

$author = get_post($postID)->post_author;
$theAuthorId = get_the_author_meta('ID');
$getUserUrl = get_avatar_url ($theAuthorId);

$collection = get_the_terms( get_the_ID(), 'nft-listing-collection');
$collection_image_url = '';
$collection_description = '';
if(isset($collection[0]) && $collection[0]) {
    $collection_id = $collection[0]->term_id;
    $collection_image_id = get_term_meta( $collection_id, 'collection-image-id', true);
    $collection_image_url = wp_get_attachment_image_url($collection_image_id,'thumbnail');
    $collection_image_url = $collection_image_url === false ? Assets::getPlaceholderLocation() : $collection_image_url;
    $collection_description = category_description($collection_id);
}

wp_enqueue_style('nft-marketplace-core-collection-v1', plugin_dir_url(NFT_MARKETPLACE_CORE_PLUGIN_MAIN_FILE_LOCATION).'/assets/css/versions/collection-v1.css');
wp_enqueue_script('nft-marketplace-core-collection-v1', plugin_dir_url(NFT_MARKETPLACE_CORE_PLUGIN_MAIN_FILE_LOCATION).'/assets/js/versions/collection-v1.css');

?>
<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">
		<div class="blog-posts single-nft">
			<div class="row">
				<div class="col-md-12 collection-info">
					<div class="collection-info-wrapper">
						<?php if($collection_image_url){ ?>
							<div class="collection-img">
								<img src="<?php echo esc_url($collection_image_url); ?>" alt="<?php the_title(); ?>" />
							</div>
						<?php } ?>
						<div class="collection-share-btn">
							<?php do_action('nft_marketplace_core_single_nft_after_title_collection'); ?>
							<i class="fas fa-share-square"></i>
						</div>
						<div class="collection-title">
							<?php do_action('nft_marketplace_core_single_nft_after_title_collection'); ?>
						</div>
						<div class="author-badge-wrapper">
							<div class="author-badge">
								<a href="#" class="nft-author-image">
									<img src="<?php echo get_avatar_url($theAuthorId);?>">
									<span>
                                        <?php echo apply_filters("nft_marketplace_core_process_display_name", $author_id); ?>
                                    </span>
								</a>
							</div>
							<div class="author-badge-extended">
								<a href="#">
									<div class="author-badge-extended-img-group d-flex justify-content-between">
										<img src="<?php echo get_avatar_url($theAuthorId);?>">
										<button type="button" class="nft-follow-btn">Follow</button>
									</div>
									<div class="author-badge-extended-info">
										<h3>
                                            <?php echo apply_filters("nft_marketplace_core_process_display_name", $author_id); ?>
                                        </h3>
									</div>
									<div class="author-badge-extended-stats">
										<ul class="stats-list d-flex">
											<li class="stats-list-item">
												<h4>50</h4>
												<p><?php echo esc_html__('Following', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
											</li>
											<li class="stats-list-item">
												<h4>1,826</h4>
												<p><?php echo esc_html__('Followers', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
											</li>
										</ul>
									</div>
								</a>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="collection-info-group">
				<div class="collection-info-card">
					<div class="row">
						<div class="col-lg-3 col-md-3 col-sm-6 col-6 collection-of">
							<p><?php echo esc_html__('Collection Of', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
							<h3>7</h3>
						</div>
						<div class="col-lg-3 col-md-3 col-sm-6 col-6 owned-by">
							<p><?php echo esc_html__('Owned by', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
							<h3>7</h3>
						</div>
						<div class="col-lg-3 col-md-3 col-sm-6 col-6 floor-price">
							<p><?php echo esc_html__('Floor Price', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
							<h3>0.15 ETH</h3>
						</div>
						<div class="col-lg-3 col-md-3 col-sm-6 col-6 total-sales">
							<p><?php echo esc_html__('Total Sales', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></p>
							<h3>1.05 ETH</h3>
						</div>
					</div>
				</div>
				<div class="nft-share-btn-group d-flex">
					<button type="button" class="nft-btn-share report-btn">
						<i class="fas fa-ban"></i>
						<span>Report</span>
					</button>
					<button type="button" class="nft-btn-share follow-btn">
						<i class="fas fa-bell"></i>
						<span>Follow</span>
					</button>
				</div>
			</div>
			<div class="collection-info-tabs-section">
				<div class="collection-info-tabs d-flex">
					<button class="collection-tab-btn active" data-id="nfts"><?php echo esc_html__('NFTs', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></button>
					<button class="collection-tab-btn" data-id="description"><?php echo esc_html__('Description', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></button>
				</div>
				<div id="nfts" class="tab-content collection-tab active">
					<div class="collection-sort-btn-group d-flex">
						<button type="button" class="collection-sort-btn disabled"><?php echo esc_html__('Live Auction', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> <span>0</span></button>
						<button type="button" class="collection-sort-btn"><?php echo esc_html__('Buy Now', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?><span>3</span></button>
						<button type="button" class="collection-sort-btn"><?php echo esc_html__('Reserve Price', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> <span>2</span></button>
						<button type="button" class="collection-sort-btn disabled"><?php echo esc_html__('Active Offers', NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?> <span>0</span></button>
					</div>
					<?php do_action('nft_marketplace_core_single_nft_related'); ?>
				</div>
				<div id="description" class="tab-content collection-tab collection-description">
				 	<?php echo $collection_description;?>
				</div>
			</div>
		</div>
	</main>
</div>
<?php get_footer(); ?>
