<?php
get_header();

use NFT_Marketplace_Core\Internals\Helpers\Assets;
use NFT_Marketplace_Core\Internals\Helpers\BlockchainDatasetBuilder;
use NFT_Marketplace_Core\Internals\Helpers\Helper;
use NFT_Marketplace_Core\Internals\Helpers\Marketplace;

global $post_id;

$postID = get_the_ID();
$contractHelper = Helper::contractHelperFromPostId($postID, $additionalData);

$nft_marketplace_core_nft_listing_token_id = get_post_meta($postID, 'nft_marketplace_core_nft_listing_token_id', true);
$nft_marketplace_core_nft_listing_address = get_post_meta($postID, 'nft_marketplace_core_nft_listing_address', true);
$nft_marketplace_core_nft_listing_blockchains_term = get_the_terms($postID, 'nft_listing_blockchains');
$nft_marketplace_core_nft_listing_price = get_post_meta($postID, 'nft_marketplace_core_nft_listing_currency_price', true);
$nft_marketplace_core_nft_listing_usd_price = null;
$nft_marketplace_blockchain_symbol =  NFT_Marketplace_Core\Internals\Helpers\Assets::getCurrencyImageSrcByTermId($additionalData["term_id"], [20, 20]);

do_action('nft_marketplace_core_before_main_content');
$nft_marketplace_core_nft_marketplace_id = get_post_meta($postID, 'nft_marketplace_core_nft_marketplace_id', true);
$nft_marketplace_core_nft_listing_start_time = get_post_meta($postID, 'nft_marketplace_core_nft_listing_start_time', true);
$listingStarted = time() > $nft_marketplace_core_nft_listing_start_time;
$hasItemLeftToSell = get_post_meta($postID, "nft_marketplace_core_nft_listing_quantity", true) > 0;
$listingNotExpired = get_post_meta($postID, 'nft_marketplace_core_nft_listing_end_time', true) > time();

$nft_marketplace_core_nft_listing_description_meta = get_post_meta(get_the_ID(), 'nft_marketplace_core_nft_listing_description_meta', true);

global $post_type, $post_type_object, $post;

$auth_id = $post->post_author;

$isItemOnSale = $listingStarted && $hasItemLeftToSell && $listingNotExpired;
$blockchain_name = $nft_marketplace_core_nft_listing_blockchains_term[0]->name;
$nft_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');

$authdata = get_user_meta( $auth_id, 'description' );
$auth_des = implode($authdata);


$author = get_post($postID)->post_author;
$theAuthorId = get_the_author_meta('ID');
$getUserUrl = get_avatar_url ($theAuthorId);
$author_link = get_author_posts_url($author);
$author_avatar = get_avatar_url($author);
$author_description = get_the_author_meta('description');

$collection = get_the_terms( get_the_ID(), 'nft-listing-collection');
$collection_image_url = '';
$collection_description = '';
if(isset($collection[0]) && $collection[0]) {
    $collection_id = $collection[0]->term_id;
    $collection_image_id = get_term_meta( $collection_id, 'collection-image-id', true);
    $collection_image_url = wp_get_attachment_image_url($collection_image_id,'thumbnail');
    $collection_image_url = $collection_image_url === false ? Assets::getPlaceholderLocation() : $collection_image_url;
    $collection_description = category_description($collection_id);
}

wp_enqueue_style('nft-marketplace-core-single-nft-v3', plugin_dir_url(NFT_MARKETPLACE_CORE_PLUGIN_MAIN_FILE_LOCATION).'/assets/css/versions/single-nft-v3.css');
?>
<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">
		<div class="blog-posts single-nft container">
			<div class="nft-single-v3-asset-row row">
				<div class="col-lg-6 col-md-6 col-sm-12 col-12">
					<div class="nft-single-v3-img-full">
						<?php echo NFT_Marketplace_Core\Internals\Helpers\Assets::getNFTDisplayAsset(get_the_ID()); ?>
						<?php
						if ($collection) { ?>
							<div class="nft-single-v3-collection-tag"><i class="fas fa-layer-group"></i><?php do_action('nft_marketplace_core_single_nft_after_title_collection');?></div>
						<?php } else { ?>
							<div class="nft-single-v3-collection-tag"><i class="fas fa-layer-group"></i><?php echo esc_html__('No Collection', NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></div>
						<?php } ?>
					</div>
					<a class="nft-single-v3-author-card" href="<?php echo esc_url($author_link);?>">
						<div class="nft-author-image">
							<img src="<?php echo $author_avatar;?>" alt="<?php echo the_title();?>">
							<span>
                                <?php echo apply_filters("nft_marketplace_core_process_display_name", $auth_id); ?>
                            </span>
						</div>
						<div class="nft-single-v3-author-description">
							<?php echo $auth_des;?>
						</div>
						<div class="nft-single-v3-author-view-more">
							<?php echo esc_html__('Check the details', NFT_MARKETPLACE_CORE_TEXTDOMAIN);?>
							<i class="fas fa-arrow-circle-right"></i>
						</div>
					</a>
				</div>
				<div class="col-lg-6 col-md-6 col-sm-12 col-12">
					<div class="nft-single-v3-buy-zone">
						<div class="nft-single-v3-nft-title">
							<?php echo the_title();?>
						</div>
						<div class="nft-single-v3-collection-description">
							<?php
							if ($collection) { ?>
								<?php echo $collection_description;?>
							<?php } else { ?>
								<?php echo esc_html__('This item is not part of a collection.', NFT_MARKETPLACE_CORE_TEXTDOMAIN);?>
							<?php } ?>
						</div>
						<div class="nft-single-v3-buy-section">
							<div class="nft-single-v3-price-title"><?php echo esc_html__('Price Proposition', NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></div>
							<div class="nft-single-v3-price">
								<?php if ($isItemOnSale) { ?>
									<h4><?php esc_html_e("Reserve:", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></h4>
									<h4 class="nft-product-price">
										<?php Helper::getCurrencyDisplayDataByPostId($postID); ?>
									</h4>
								<?php } else { ?>
									<h4 class="nft-product-price">
										<?php esc_html_e("Not listed yet", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?>
									</h4>
								<?php } ?>
							</div>
							<div class="nft-single-v3-list-btn">
								<?php
								do_action('nft_marketplace_core_before_button', $isItemOnSale);

								if (!$listingStarted) {
									?>
									<br/>
									<h4><?php esc_html_e("Listing will start ", NFT_MARKETPLACE_CORE_TEXTDOMAIN) . esc_html_e(wp_date('l, F jS, Y', $nft_marketplace_core_nft_listing_start_time)); ?></h4>
									<button style="display: inline-block;margin-right: 15px;"
											type="submit" name="nft_marketplace_core_buy_data"
											class="nft-bid-btn" disabled>
									</button>
									<?php
								} elseif ($isItemOnSale) {
									?>
									<form method="post" id="nft-marketplace-core-purchase-nft-form"
										 <?php echo BlockchainDatasetBuilder::purchaseListing($nft_marketplace_core_nft_marketplace_id, $additionalData["marketplace_address"], $additionalData["term_id"]);?>
									>
										<button type="submit" name="nft_marketplace_core_buy_data" class="nft-single-v3-list-nft">
											<?php echo apply_filters('nft_marketplace_core_purchase_btn', esc_html__('Purchase Now', NFT_MARKETPLACE_CORE_TEXTDOMAIN)); ?>
										</button>
									</form>
								<?php } elseif (get_current_user_id() === (int)$author) { ?>
									<a href="<?php echo add_query_arg(["list-nft" => true], get_permalink()) ?>">
										<button id="bid-btn" class="nft-single-v3-list-nft"><?php esc_html_e("List Now", NFT_MARKETPLACE_CORE_TEXTDOMAIN) ?></button>
									</a>
									<?php
								}
								?>
							</div>
						</div>
						<div class="nft-single-v3-btns">
							<div class="nft-share-btn-group d-flex flex-wrap">
								<?php if ($isItemOnSale || !$listingStarted) { ?>
									<button type="button" class="nft-btn-share follow-btn"
											<?php echo BlockchainDatasetBuilder::cancelListing($nft_marketplace_core_nft_marketplace_id,$additionalData["marketplace_address"], $additionalData["term_id"]);?>
									>
										<i class="fas fa-times"></i>
										<span><?php esc_html_e("Cancel Listing", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></span>
									</button>
								<?php } ?>

								<?php
								// Add edit button for the author
								if (get_current_user_id() === (int)$author) {
									?>
									<?php if (get_post_meta($postID, "nft_marketplace_core_nft_listing_content_meta", true)) { ?>
										<a href="<?php echo add_query_arg(["unlock-nft-content" => true], get_permalink()) ?>">
											<button type="button" class="nft-btn-share follow-btn">
												<i class="fas fa-lock-open"></i>
												<span><?php esc_html_e("Unlock Content", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></span>
											</button>
										</a>
									<?php } ?>
									<a href="<?php echo add_query_arg(["edit-nft" => true], get_permalink()) ?>">
										<button type="button" class="nft-btn-share follow-btn">
											<i class="fas fa-pen"></i>
											<span><?php esc_html_e("Edit", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></span>
										</button>
									</a>
									<a href="<?php echo add_query_arg(["offer-list" => $postID], get_permalink()) ?>">
										<button type="button" class="nft-btn-share follow-btn">
											<i class="fas fa-list"></i>
											<span><?php esc_html_e("Offers", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></span>
										</button>
									</a>
								<?php } ?>
							</div>
						</div>
						<div class="nft-single-v3-description-zone">
							<div class="nft-single-v3-description-title"><?php echo esc_html__('Description', NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></div>
							<div class="nft-single-v3-nft-description"><?php echo esc_html($nft_marketplace_core_nft_listing_description_meta);?></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</main>
</div>
<?php
get_footer();
?>

