<?php
get_header();

use NFT_Marketplace_Core\Internals\Helpers\Assets;
use NFT_Marketplace_Core\Internals\Helpers\BlockchainDatasetBuilder;
use NFT_Marketplace_Core\Internals\Helpers\Helper;
use NFT_Marketplace_Core\Internals\Helpers\Marketplace;

global $post_id;


$postID = get_the_ID();
$contractHelper = Helper::contractHelperFromPostId($postID, $additionalData);

$nft_marketplace_core_nft_listing_token_id = get_post_meta($postID, 'nft_marketplace_core_nft_listing_token_id', true);
$nft_marketplace_core_nft_listing_address = get_post_meta($postID, 'nft_marketplace_core_nft_listing_address', true);
$nft_marketplace_core_nft_listing_blockchains_term = get_the_terms($postID, 'nft_listing_blockchains');
$nft_marketplace_core_nft_listing_price = get_post_meta($postID, 'nft_marketplace_core_nft_listing_currency_price', true);
$nft_marketplace_core_nft_listing_usd_price = null;
$nft_marketplace_blockchain_symbol =  NFT_Marketplace_Core\Internals\Helpers\Assets::getCurrencyImageSrcByTermId($additionalData["term_id"], [20, 20]);

do_action('nft_marketplace_core_before_main_content');
$nft_marketplace_core_nft_marketplace_id = get_post_meta($postID, 'nft_marketplace_core_nft_marketplace_id', true);
$nft_marketplace_core_nft_listing_start_time = get_post_meta($postID, 'nft_marketplace_core_nft_listing_start_time', true);
$listingStarted = time() > $nft_marketplace_core_nft_listing_start_time;
$hasItemLeftToSell = get_post_meta($postID, "nft_marketplace_core_nft_listing_quantity", true) > 0;
$listingNotExpired = get_post_meta($postID, 'nft_marketplace_core_nft_listing_end_time', true) > time();

$nft_marketplace_core_nft_listing_description_meta = get_post_meta(get_the_ID(), 'nft_marketplace_core_nft_listing_description_meta', true);

global $post_type, $post_type_object, $post;

$postid = get_the_ID();

$auth_id = $post->post_author;

$isItemOnSale = $listingStarted && $hasItemLeftToSell && $listingNotExpired;
$blockchain_name = $nft_marketplace_core_nft_listing_blockchains_term[0]->name;
$nft_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');

$authdata = get_user_meta( $auth_id, 'description' );
$auth_des = implode($authdata);


$author = get_post($postID)->post_author;
$theAuthorId = get_the_author_meta('ID');
$getUserUrl = get_avatar_url ($theAuthorId);
$author_link = get_author_posts_url($author);
$author_avatar = get_avatar_url($author);
$author_description = get_the_author_meta('description');

$collection = get_the_terms( get_the_ID(), 'nft-listing-collection');
$collection_image_url = '';
$collection_description = '';
if(isset($collection[0]) && $collection[0]) {
    $collection_id = $collection[0]->term_id;
    $collection_image_id = get_term_meta( $collection_id, 'collection-image-id', true);
    $collection_image_url = wp_get_attachment_image_url($collection_image_id,'thumbnail');
    $collection_image_url = $collection_image_url === false ? Assets::getPlaceholderLocation() : $collection_image_url;
    $collection_description = category_description($collection_id);
}

wp_enqueue_style('nft-marketplace-core-single-nft-v4', plugin_dir_url(NFT_MARKETPLACE_CORE_PLUGIN_MAIN_FILE_LOCATION).'/assets/css/versions/single-nft-v4.css');
?>
<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">
		<div class="blog-posts single-nft container">
			<div class="nft-single-v4-asset-row top row">
				<div class="col-lg-6 col-md-6 col-sm-12 col-12">
					<div class="nft-single-v4-img-full">
						<?php echo NFT_Marketplace_Core\Internals\Helpers\Assets::getNFTDisplayAsset(get_the_ID()); ?>
					</div>
				</div>
				<div class="col-lg-6 col-md-6 col-sm-12 col-12">
					<div class="nft-single-v4-title-zone">
						<div class="nft-single-v4-title"><?php echo the_title();?></div>
						<div class="nft-single-v4-social-group">
							<?php
							if (Helper::isAlreadyLoved($postid)) {
								?>
								<div class="nft-single-v4-wishlist card-wishlist">
									<a href="#" data-post_id="<?php esc_attr_e($postid); ?>"> <i class="fa fa-heart"></i></a>
								</div>
								<?php
							} else {
								?>
								<div class="nft-single-v4-wishlist card-wishlist">
									<a href="#" data-post_id="<?php esc_attr_e($postid); ?>"> <i class="fa fa-heart-o"></i></a>
								</div>
								<?php
							}
							?>
						</div>
					</div>
					<div class="nft-single-v4-tags">
						<?php
						$nft_marketplace_core_nft_listing_properties_group = get_post_meta(get_the_ID(), 'nft_marketplace_core_nft_listing_properties_group', true);
						$nft_marketplace_core_nft_listing_level_group = get_post_meta(get_the_ID(), 'nft_marketplace_core_nft_listing_level_group', true);
						$nft_marketplace_core_nft_listing_group = get_post_meta(get_the_ID(), 'nft_marketplace_core_nft_listing_group', true);

						if ($nft_marketplace_core_nft_listing_properties_group) { ?>
							<div class="nft-single-v4-tags-title"><?php echo esc_html__('Tags', NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></div>
							<div class="nft-tags-list">
								<ul>
									<?php
									if ($nft_marketplace_core_nft_listing_properties_group) {
										foreach (array_reverse($nft_marketplace_core_nft_listing_properties_group) as $nft_listing) {
											echo '<li>';
											if (!empty($nft_listing['nft_marketplace_core_nft_listing_property_name'])) {
												echo esc_html($nft_listing['nft_marketplace_core_nft_listing_property_name']);
											}
											if (!empty($nft_listing['nft_marketplace_core_nft_listing_property_value'])) {
												echo ': ' . esc_html($nft_listing['nft_marketplace_core_nft_listing_property_value']);
											}
											echo '</li>';
										}
									}

									if ($nft_marketplace_core_nft_listing_level_group) {
										foreach (array_reverse($nft_marketplace_core_nft_listing_level_group) as $nft_listing) {
											echo '<li>';
											if (!empty($nft_listing['nft_marketplace_core_nft_listing_level_name'])) {
												echo esc_html($nft_listing['nft_marketplace_core_nft_listing_level_name']);
											}
											if ($nft_listing['nft_marketplace_core_nft_listing_level_rate'] == 0 || !empty($nft_listing['nft_marketplace_core_nft_listing_level_rate'])) {
												echo ': ' . esc_html($nft_listing['nft_marketplace_core_nft_listing_level_rate']);
											}
											echo '</li>';
										}
									}

									if ($nft_marketplace_core_nft_listing_group) {
										foreach (array_reverse($nft_marketplace_core_nft_listing_group) as $nft_listing) {
											echo '<li>';
											if (!empty($nft_listing['nft_marketplace_core_nft_listing_stat_name'])) {
												echo esc_html($nft_listing['nft_marketplace_core_nft_listing_stat_name']);
											}
											if (!empty($nft_listing['nft_marketplace_core_nft_listing_stat_rate'])) {
												echo ': ' . esc_html($nft_listing['nft_marketplace_core_nft_listing_stat_rate']);
											}
											echo '</li>';
										}
									}
									?>
								</ul>
							</div>
						<?php } ?>
						<div class="section-spacer">
							<div class="nft-share-btn-group d-flex flex-wrap">
								<?php if ($isItemOnSale || !$listingStarted) { ?>
									<button type="button" class="nft-btn-share follow-btn"
											<?php echo BlockchainDatasetBuilder::cancelListing($nft_marketplace_core_nft_marketplace_id,$additionalData["marketplace_address"], $additionalData["term_id"]);?>
									>
										<i class="fas fa-times"></i>
										<span><?php esc_html_e("Cancel Listing", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></span>
									</button>
								<?php } ?>

								<?php
								// Add edit button for the author
								if (get_current_user_id() === (int)$author) {
									?>
									<?php if (get_post_meta($postID, "nft_marketplace_core_nft_listing_content_meta", true)) { ?>
										<a href="<?php echo add_query_arg(["unlock-nft-content" => true], get_permalink()) ?>">
											<button type="button" class="nft-btn-share follow-btn">
												<i class="fas fa-lock-open"></i>
												<span><?php esc_html_e("Unlock Content", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></span>
											</button>
										</a>
									<?php } ?>
									<a href="<?php echo add_query_arg(["edit-nft" => true], get_permalink()) ?>">
										<button type="button" class="nft-btn-share follow-btn">
											<i class="fas fa-pen"></i>
											<span><?php esc_html_e("Edit", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></span>
										</button>
									</a>
									<a href="<?php echo add_query_arg(["offer-list" => $postID], get_permalink()) ?>">
										<button type="button" class="nft-btn-share follow-btn">
											<i class="fas fa-list"></i>
											<span><?php esc_html_e("Offers", NFT_MARKETPLACE_CORE_TEXTDOMAIN); ?></span>
										</button>
									</a>
								<?php } ?>
							</div>
						</div>
					</div>
					<div class="nft-single-v4-buy-section">
						<div class="nft-single-v4-list-btn">
							<?php
							do_action('nft_marketplace_core_before_button', $isItemOnSale);
							if (!$listingStarted) {
								?>
								<br/>
								<h4><?php esc_html_e("Listing will start ", NFT_MARKETPLACE_CORE_TEXTDOMAIN) . esc_html_e(wp_date('l, F jS, Y', $nft_marketplace_core_nft_listing_start_time)); ?></h4>
								<button style="display: inline-block;margin-right: 15px;"
										type="submit" name="nft_marketplace_core_buy_data"
										class="nft-bid-btn" disabled>
								</button>
								<?php
							} elseif ($isItemOnSale) {
								?>
								<form method="post" id="nft-marketplace-core-purchase-nft-form"
										<?php echo BlockchainDatasetBuilder::purchaseListing($nft_marketplace_core_nft_marketplace_id, $additionalData["marketplace_address"], $additionalData["term_id"]);?>
								>
									<button type="submit" name="nft_marketplace_core_buy_data" class="nft-single-v4-list-nft">
									<?php echo apply_filters('nft_marketplace_core_purchase_btn', esc_html__('Purchase Now', NFT_MARKETPLACE_CORE_TEXTDOMAIN)); ?>
									</button>
								</form>
							<?php } elseif (get_current_user_id() === (int)$author) { ?>
								<a href="<?php echo add_query_arg(["list-nft" => true], get_permalink()) ?>">
									<button id="bid-btn" class="nft-single-v4-list-nft"><?php esc_html_e("List Now", NFT_MARKETPLACE_CORE_TEXTDOMAIN) ?></button>
								</a>
								<?php
							}
							?>
						</div>
					</div>
					<div class="nft-single-v4-description-section">
						<div class="nft-single-v4-description-title"><?php echo esc_html__('About', NFT_MARKETPLACE_CORE_TEXTDOMAIN);?></div>
						<div class="nft-single-v4-description"><?php echo esc_html($nft_marketplace_core_nft_listing_description_meta);?></div>
					</div>
				</div>
			</div>
			<div class="nft-single-v4-asset-row bottom row">
				<div class="col-12">
					<div class="nft-related-section">
						<?php
						/**
						 * Hook: After Metas (Set Tabs Below)
						 */
						?>
						<?php if (isset(get_option('nft_marketplace_core_panel_single_nft')['nft_marketplace_core_tabs']) && get_option('nft_marketplace_core_panel_single_nft')['nft_marketplace_core_tabs'] == 'bellow') { ?>
							<?php do_action('nft_marketplace_core_single_nft_before_related'); ?>
						<?php } ?>

						<?php
						/**
						 * Hook: Related NFT after content
						 */
						?>
						<?php do_action('nft_marketplace_core_single_nft_related'); ?>
					</div>
				</div>
			</div>
		</div>
	</main>
</div>
<?php
get_footer();
?>

