<?php

namespace NFT_Marketplace_Core\Tests\WPUnit;

class InitializeAdminTest extends \Codeception\TestCase\WPTestCase {
	/**
	 * @var string
	 */
	protected $root_dir;

	public function setUp(): void {
		parent::setUp();

		// your set up methods here
		$this->root_dir = dirname( dirname( dirname( __FILE__ ) ) );

		$user_id = $this->factory->user->create( array( 'role' => 'administrator' ) );
		wp_set_current_user( $user_id );
		set_current_screen( 'edit.php' );
		add_filter( 'wp_doing_ajax', '__return_false' );
		do_action('plugins_loaded');
	}

	public function tearDown(): void {
		parent::tearDown();
	}

	/**
	 * @test
	 * it should be admin
	 */
	public function it_should_be_admin() {
		$classes   = array();
		$classes[] = 'NFT_Marketplace_Core\Internals\PostTypes';
		$classes[] = 'NFT_Marketplace_Core\Internals\Shortcode';
		$classes[] = 'NFT_Marketplace_Core\Internals\Transient';
		$classes[] = 'NFT_Marketplace_Core\Integrations\CMB';
		$classes[] = 'NFT_Marketplace_Core\Integrations\Cron';
		$classes[] = 'NFT_Marketplace_Core\Integrations\Template';
		$classes[] = 'NFT_Marketplace_Core\Integrations\Widgets\My_Recent_Posts_Widget';
		$classes[] = 'NFT_Marketplace_Core\Ajax\Ajax';
		$classes[] = 'NFT_Marketplace_Core\Ajax\Ajax_Admin';
		$classes[] = 'NFT_Marketplace_Core\Backend\ActDeact';
		$classes[] = 'NFT_Marketplace_Core\Backend\Enqueue';
		$classes[] = 'NFT_Marketplace_Core\Backend\ImpExp';
		$classes[] = 'NFT_Marketplace_Core\Backend\Notices';
		$classes[] = 'NFT_Marketplace_Core\Backend\Pointers';
		$classes[] = 'NFT_Marketplace_Core\Backend\SettingsPage';

		$all_classes = get_declared_classes();
		foreach( $classes as $class ) {
			$this->assertTrue( in_array( $class, $all_classes ) );
		}
	}

}
