<?php

namespace NFT_Marketplace_Core\Tests\WPUnit;

class InitializeTest extends \Codeception\TestCase\WPTestCase {
	/**
	 * @var string
	 */
	protected $root_dir;

	public function setUp(): void {
		parent::setUp();

		// your set up methods here
		$this->root_dir = dirname( dirname( dirname( __FILE__ ) ) );

		wp_set_current_user(0);
		wp_logout();
		wp_safe_redirect(wp_login_url());

		do_action('plugins_loaded');
	}

	public function tearDown(): void {
		parent::tearDown();
	}

	/**
	 * @test
	 * it should be front
	 */
	public function it_should_be_front() {
		$classes   = array();
		$classes[] = 'NFT_Marketplace_Core\Internals\PostTypes';
		$classes[] = 'NFT_Marketplace_Core\Internals\Shortcode';
		$classes[] = 'NFT_Marketplace_Core\Internals\Transient';
		$classes[] = 'NFT_Marketplace_Core\Integrations\CMB';
		$classes[] = 'NFT_Marketplace_Core\Integrations\Cron';
		$classes[] = 'NFT_Marketplace_Core\Integrations\Template';
		$classes[] = 'NFT_Marketplace_Core\Integrations\Widgets\My_Recent_Posts_Widget';
		$classes[] = 'NFT_Marketplace_Core\Ajax\Ajax';
		$classes[] = 'NFT_Marketplace_Core\Ajax\Ajax_Admin';
		$classes[] = 'NFT_Marketplace_Core\Frontend\Enqueue';
		$classes[] = 'NFT_Marketplace_Core\Frontend\Extras\Body_Class';

		$all_classes = get_declared_classes();
		foreach( $classes as $class ) {
			$this->assertTrue( in_array( $class, $all_classes ) );
		}
	}

}
